Bug 148704 - The result of scanning should be cached
The result of scanning should be cached
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Action Items
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
tasklist-issues@contrib
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 08:18 UTC by Petr Pisl
Modified: 2009-04-02 07:28 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2008-09-30 08:18:48 UTC
When there is a bigger project, then task list scanning takes a few minutes. The results of scanning should be cashed,
so the next time when the ide is started, the scan doesn't have to run again. It can be used the same technique like is
used for indexing.
Comment 1 Stanislav Aubrecht 2009-03-31 08:52:45 UTC
fixed

core-main e0e61c2b312a
Comment 2 Stanislav Aubrecht 2009-03-31 08:56:14 UTC
task list uses indexing api to cache scanned tasks
Comment 3 Quality Engineering 2009-04-02 07:28:20 UTC
Integrated into 'main-golden', will be available in build *200904020200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e0e61c2b312a
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #148704 - switching task list to use indexing api, part 2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo